scala.xml
class EntityRef

[source: `scala/xml/EntityRef.scala`]

`case` `class` EntityRef(`val` entityName : String)
  `extends` SpecialNode `with` Product

  The class `EntityRef` implements an XML node for entity references.

Author
  Burak Emir
Version
  1.0
Parameters
  `text -` the text contained in this node.

Method Summary
`override def` | equals (x : Any) : Boolean structural equality
`override def` | hashCode : Int Returns a hashcode. The default implementation here calls only super.hashcode (which is the same as for objects). A more useful implementation can be invoked by calling `Utility.hashCode(pre, label, attributes.hashCode(), child)`.
`def` | label : String the constant "#ENTITY"
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`override def` | text : String ...
`override def` | toString (sb : StringBuilder) : StringBuilder Appends "& entityName;" to this string buffer.

Methods inherited from Product
element, arity

Methods inherited from SpecialNode
attributes, namespace, child

Methods inherited from Node
prefix, scope, getNamespace, attribute, attribute, descendant, descendant_or_self, theSeq, toString, toString, nameToString, xmlType

Methods inherited from NodeSeq
length, elements, apply, apply, \, \\

Methods inherited from Seq
lengthCompare, size, isEmpty, concat, last, lastOption, headOption, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, slice, takeWhile, dropWhile, reverse, contains, subseq, toArray, projection, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` equals(x : Any) : Boolean

  structural equality

`` `def` label : String

  the constant "#ENTITY"

`override` `def` hashCode : Int

  Returns a hashcode. The default implementation here calls only super.hashcode (which is the same as for objects). A more useful implementation can be invoked by calling `Utility.hashCode(pre, label, attributes.hashCode(), child)`.

`override` `def` text : String

  ...

`override` `def` toString(sb : StringBuilder) : StringBuilder

  Appends "& entityName;" to this string buffer.

Parameters
  `sb -` the string buffer.
Returns
  the modified string buffer `sb`.

Overrides
  SpecialNode.toString

`override final` `def` productPrefix : String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement